Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.device
Class Disposer

    java.lang.Object
      org.cybergarage.util.ThreadCore
          org.cybergarage.upnp.device.Disposer

All Implemented Interfaces:
  Runnable

    public class Disposer

extends ThreadCore

Constructor Summary
`Disposer(ControlPoint ctrlp)`

Method Summary
`ControlPoint` | `getControlPoint()`
`void` | `run()`
`void` | `setControlPoint(ControlPoint ctrlp)`

Methods inherited from class org.cybergarage.util.ThreadCore
`getThreadObject, isRunnable, restart, setThreadObject, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Disposer

    public Disposer(ControlPoint ctrlp)

Method Detail

### setControlPoint

    public void setControlPoint(ControlPoint ctrlp)

### getControlPoint

    public ControlPoint getControlPoint()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `ThreadCore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD